--- /dev/null	Sun Aug  5 23:41:10 2018
+++ new/usr/src/man/man3c/socketpair.3c	Sun Aug  5 23:41:10 2018
@@ -0,0 +1,87 @@
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\"
+.\" Copyright 1989 AT&T
+.\" Copyright (C) 2002, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2018 Nexenta Systems, Inc.
+.\"
+.Dd August 2, 2018
+.Dt SOCKETPAIR 3C
+.Os
+.Sh NAME
+.Nm socketpair
+.Nd create a pair of connected sockets
+.Sh LIBRARY
+.Lb libc
+.Sh SYNOPSIS
+.In sys/types.h
+.In sys/socket.h
+.Ft int
+.Fo socketpair
+.Fa "int domain"
+.Fa "int type"
+.Fa "int protocol"
+.Fa "int sv[2]"
+.Fc
+.Sh DESCRIPTION
+The
+.Fn socketpair
+library call creates an unnamed pair of connected sockets in the specified
+address family
+.Fa domain ,
+of the specified
+.Fa type ,
+that uses the optionally specified
+.Fa protocol .
+The descriptors that are used in referencing the new sockets are returned in
+.Fa sv Ns Bq 0
+and
+.Fa sv Ns Bq 1 .
+The two sockets are indistinguishable.
+.Sh RETURN VALUES
+.Fn socketpair
+returns -1 on failure and 0 on success.
+.Sh ERRORS
+The call succeeds unless:
+.Bl -tag -width Er
+.It Bq Er EAFNOSUPPORT
+The specified address family is not supported on this machine.
+.It Bq Er EMFILE
+Too many descriptors are in use by this process.
+.It Bq Er ENOMEM
+There was insufficient user memory for the operation to complete.
+.It Bq Er ENOSR
+There were insufficient STREAMS resources for the operation to complete.
+.It Bq Er EOPNOTSUPP
+The specified protocol does not support creation of socket pairs.
+.It Bq Er EPROTONOSUPPORT
+The specified protocol is not supported on this machine.
+.It Bq Er EACCES
+The process does not have appropriate privileges.
+.El
+.Sh MT-LEVEL
+.Sy Safe
+.Sh SEE ALSO
+.Xr pipe 2 ,
+.Xr read 2 ,
+.Xr write 2 ,
+.Xr socket.h 3HEAD ,
+.Xr attributes 5
+.Sh NOTES
+This call is currently implemented only for the
+.Dv AF_UNIX
+address family.
